Package Details: guake-git 3.7.0.44.g00d880f7-1

Git Clone URL: https://aur.archlinux.org/guake-git.git (read-only, click to copy)
Package Base: guake-git
Description: Top-down terminal for Gnome using gtk3 and vte3
Upstream URL: https://github.com/Guake/guake
Licenses: GPL
Conflicts: guake, guake-gtk2-git
Provides: guake
Submitter: Skatox
Maintainer: Skatox
Last Packager: Skatox
Votes: 48
Popularity: 0.000021
First Submitted: 2008-03-07 02:12
Last Updated: 2020-06-08 16:20

Latest Comments

« First ‹ Previous ... 2 3 4 5 6 7 8 Next › Last »

florianbw commented on 2012-03-20 08:56

Can you please add a 'conflicts' w/ guake? Otherwise the conflicts only appear upon installation.

Anonymous comment on 2011-12-03 23:29

This package built successfully on my system.
After trying to launch it, it complained about GDbus.

This was solved by following the recommendations made in this bug report.

https://bugs.archlinux.org/task/24054

fyi.

Skatox commented on 2011-11-09 17:13

Updated PKGBUILD, now it solves the python2 bug at /usr/bin/guake as commented daroczig , added multi-monitor patch (thanks to psi.neamf )

psi.neamf commented on 2011-11-04 10:20

Here's a PKGBUILD that includes pyriku's multi-monitor patch (http://guake.org/ticket/124).
It also fixes /usr/bin/guake (like guake-prefs) to run with python2 as per daroczig's comment.


# Maintainer: Miguel Useche <migueluseche@skatox.com>
# Contributor: Anton Leontiev <unsector /at/ km.ru>
pkgname=guake-git
pkgver=20111104
pkgrel=1
pkgdesc="Top-down terminal for Gnome"
arch=('i686' 'x86_64')
url="http://guake.org/"
license=('GPL')
depends=('python2' 'pygtk' 'gnome-python' 'vte' 'python-notify' 'dbus-python' 'pkgconfig' 'gtk2' 'glib2')
makedepends=('git' 'intltool' 'gnome-common')
source=(http://guake.org/raw-attachment/ticket/124/multi-monitor.patch)
sha1sums=('7df232eca689204d0a26b6bdfc6df4f95d71e6a8')
install=guake.install

_gitroot="git://gitorious.org/guake/guake.git"
_gitname="guake"

build() {
sed -i 's|guake\.py|guake|' multi-monitor.patch

cd $srcdir/
msg "Connecting to GIT server...."

if [ -d $srcdir/$_gitname ] ; then
cd $_gitname && git pull origin
msg "The local files are updated."
else
git clone $_gitroot
fi

msg "GIT checkout done or server timeout"
msg "Starting make..."

cp -r $srcdir/$_gitname $srcdir/$_gitname-build
cd $srcdir/$_gitname-build

patch -Np1 -i "${srcdir}/multi-monitor.patch"
sed -i 's|env python|env python2|' src/guake src/guake-prefs

PYTHON="`which python2`" ./autogen.sh --prefix=/usr --sysconfdir=/usr/share --disable-static
make DESTDIR=$pkgdir install
}

psi.neamf commented on 2011-11-04 10:16

Here's a PKGBUILD that includes pyriku's multi-monitor patch (http://guake.org/ticket/124).
It also fixes /usr/bin/guake (like guake-prefs) to run with python2 as per daroczig's comment.

# Maintainer: Miguel Useche <migueluseche@skatox.com>
# Contributor: Anton Leontiev <unsector /at/ km.ru>
pkgname=guake-git
pkgver=20111104
pkgrel=1
pkgdesc="Top-down terminal for Gnome"
arch=('i686' 'x86_64')
url="http://guake.org/"
license=('GPL')
depends=('python2' 'pygtk' 'gnome-python' 'vte' 'python-notify' 'dbus-python' 'pkgconfig' 'gtk2' 'glib2')
makedepends=('git' 'intltool' 'gnome-common')
source=(http://guake.org/raw-attachment/ticket/124/multi-monitor.patch)
sha1sums=('7df232eca689204d0a26b6bdfc6df4f95d71e6a8')
install=guake.install

_gitroot="git://gitorious.org/guake/guake.git"
_gitname="guake"

build() {
cd $srcdir/
msg "Connecting to GIT server...."

if [ -d $srcdir/$_gitname ] ; then
cd $_gitname && git pull origin
msg "The local files are updated."
else
git clone $_gitroot
fi

msg "GIT checkout done or server timeout"
msg "Starting make..."

sed -i 's|guake\.py|guake|' multi-monitor.patch

cp -r $srcdir/$_gitname $srcdir/$_gitname-build
cd $srcdir/$_gitname-build

patch -Np1 -i "${srcdir}/multi-monitor.patch"
sed -i 's|env python|env python2|' src/guake
sed -i 's|env python|env python2|' src/guake-prefs

PYTHON="`which python2`" ./autogen.sh --prefix=/usr --sysconfdir=/usr/share --disable-static
make DESTDIR=$pkgdir install
}

psi.neamf commented on 2011-11-04 10:00

Here's a PKGBUILD that includes pyriku's multi-monitor patch (http://guake.org/ticket/124).
It also fixes /usr/bin/guake (like guake-prefs) to run with python2 as per daroczig's comment.


# Maintainer: Miguel Useche <migueluseche@skatox.com>
# Contributor: Anton Leontiev <unsector /at/ km.ru>
pkgname=guake-git
pkgver=20111104
pkgrel=1
pkgdesc="Top-down terminal for Gnome"
arch=('i686' 'x86_64')
url="http://guake.org/"
license=('GPL')
depends=('python2' 'pygtk' 'gnome-python' 'vte' 'python-notify' 'dbus-python' 'pkgconfig' 'gtk2' 'glib2')
makedepends=('git' 'intltool' 'gnome-common')
source=(http://guake.org/raw-attachment/ticket/124/multi-monitor.patch)
sha1sums=('7df232eca689204d0a26b6bdfc6df4f95d71e6a8')
install=guake.install

_gitroot="git://gitorious.org/guake/guake.git"
_gitname="guake"

build() {
sed -i 's|guake\.py|guake|' multi-monitor.patch

cd $srcdir/
msg "Connecting to GIT server...."

if [ -d $srcdir/$_gitname ] ; then
cd $_gitname && git pull origin
msg "The local files are updated."
else
git clone $_gitroot
fi

msg "GIT checkout done or server timeout"
msg "Starting make..."

cp -r $srcdir/$_gitname $srcdir/$_gitname-build
cd $srcdir/$_gitname-build

patch -Np1 -i "${srcdir}/multi-monitor.patch"
sed -i 's|env python|env python2|' src/guake
sed -i 's|env python|env python2|' src/guake-prefs

PYTHON="`which python2`" ./autogen.sh --prefix=/usr --sysconfdir=/usr/share --disable-static
make DESTDIR=$pkgdir install
}

daroczig commented on 2011-08-31 17:18

For those who installed python and python2 packages also, you will have to start this with python2.
Most easier hack: change first line in /usr/bin/guake to point to python2.

bunder commented on 2011-04-30 16:58

I've made some improvements to this PKGBUILD, so now it should work on systems where both 'python2' and 'python' packages are installed.
I have no idea about the best way to share two files simultaneously (PKGBUILD and guake.install), so I've uploaded the source archive to https://rapidshare.com/files/459953049/guake-git-20110426-1.src.tar.gz

Skatox commented on 2011-04-10 20:09

I've updated the package, added a .install file to install Gnome's schemas correctly. Removed unnecessary dependencias and added new ones.

Skatox commented on 2011-03-30 00:56

Thanks for the feedback, i'll update the PKGBUILD this weekend.